const mendTime = (val) => {
	if (val > 9) {
		return val
	} else {
		return `0${val}`
	}
}

/**
 * yearNum : 正数 是 前一年 ， 复数是后一年
 */
// years
// months 
// days 
export const getCurrentTime = (yearNum = 0) => {
	const time = new Date();
	const years = time.getFullYear();
	const months = time.getMonth() + 1;
	const days = time.getDate();

	return `${years - yearNum}-${mendTime(months)}-${mendTime(days)}`

}


//  时间拼接
export const jointTime = (timeArr = []) => {
	return timeArr.join('-')
}



/**
 * time : 当前年月日,
 * 根据当前年月日获取本月的天数
 */
export const dayNums = (time) => {
	console.log('dayNums = ', time)
	if (time) {
		time = jointTime(time)
	}
	let date = new Date(time);
	date.setMonth(date.getMonth() + 1); // 先设置为下个月
	date.setDate(0); // 再置0，变成当前月最后一天
	const nums = date.getDate() // 当前月最后一天即当前月拥有的天数
	const dayArr = []
	for (let i = 1; i <= nums; i++) {
		dayArr.push(mendTime(i))
	};
	return dayArr
}